#ifndef XRS_define_H
#define XRS_define_H

//---- for color.C -----------	
#define XRS_FONT       "6x13"  //text font
#define XRS_COLOR_RESOURCE "/usr/local/lib/g++-include/XRS/XRS.color"

//---- for window.C ---------
#define XRS_RESOURCE_FILE  ".xrsrc"
#define WINDOW_BODER_WIDTH   1
	
//---- for control.C --------
#define CONTROL_WINDOW_TITLE  "Control Window"
#define CONTROL_WINDOW_WIDTH   500
#define CONTROL_WINDOW_HEIGHT  40

//---- for graphic.C --------
#define AMPF          0.8
#define GRAPHIC_WINDOW_MESHSIZE   1
#define GRAPHIC_WINDOW_MAXCOLOR   "black"
#define GRAPHIC_WINDOW_MINCOLOR   "white"
#define GRAPHIC_WINDOW_COLOR_TYPE "monotone"
#define GRAPHIC_WINDOW_COLOR_NUMBER   12
#define GRAPHIC_WINDOW_COLOR_H        0.65
#define GRAPHIC_WINDOW_COLOR_RESOURCE XRS_COLOR_RESOURCE
	
//---- for f_dialog.C -------
#define F_DIALOG_STRING  7
#define F_DIALOG_XOFFSET 5
#define F_DIALOG_YOFFSET 4
#define F_DIALOG_WIDTH   50
#define F_DIALOG_HEIGHT  20
#define F_DIALOG_FONT    XRS_FONT
	
//---- for d_dialog.C -------
#define D_DIALOG_STRING         7
#define D_DIALOG_FORMAT         "%7.7lf"
#define D_DIALOG_XOFFSET        5
#define D_DIALOG_YOFFSET        4
#define D_DIALOG_WIDTH          50
#define D_DIALOG_HEIGHT         20
#define D_DIALOG_SHAPE          0
#define D_DIALOG_STEP           1.0
#define D_DIALOG_COLOR          "blue"
#define D_DIALOG_FONT           XRS_FONT
	
//---- for i_dialog.C -------
#define I_DIALOG_STRING  7
#define I_DIALOG_FORMAT  "%7d"
#define I_DIALOG_XOFFSET 5
#define I_DIALOG_YOFFSET 4
#define I_DIALOG_WIDTH   50
#define I_DIALOG_HEIGHT  20
#define I_DIALOG_SHAPE   0
#define I_DIALOG_STEP    1
#define I_DIALOG_COLOR   "blue"
#define I_DIALOG_FONT    XRS_FONT

//---- for c_dialog.C -------
#define C_DIALOG_STRING  7
#define C_DIALOG_FORMAT  "%7.7lf"	
#define C_DIALOG_XOFFSET 5
#define C_DIALOG_YOFFSET 4
#define C_DIALOG_WIDTH   50
#define C_DIALOG_HEIGHT  20
#define C_DIALOG_SHAPE   0
#define C_DIALOG_REAL_STEP         1.0
#define C_DIALOG_IMAGINARY_STEP    1.0
#define C_DIALOG_COLOR   "blue"
#define C_DIALOG_FONT    XRS_FONT

//---- for vector_field.C -----------
#define VECTOR_FIELD_ARROW_X_MAG  10
#define VECTOR_FIELD_ARROW_Y_MAG  10
#define VECTOR_FIELD_MARK_RADIUS  2
#define VECTOR_FIELD_ARROW_COLOR "black"
#define VECTOR_FIELD_MARK_COLOR  "black"
	
#endif
